<?php
/*
	Plugin Name: Bin Contact
	Plugin URI: https://berginformatik.ch/plugin/bin-contact
	Description: Create contact lists of your users or members and publish them on your website.
	Version: 1.0.3
	Author: Berg Informatik
	Author URI: https://berginformatik.ch
	Text Domain: bin-contact
	Domain Path: /languages
*/

if(!defined('ABSPATH')) { exit; }

define('BIN_CONTACT_VERSION', '1.0.3');
define('BIN_CONTACT_URL', plugins_url('', __FILE__));
define('BIN_CONTACT_DIR', dirname(__FILE__));
define('BIN_CONTACT_DEBUG', false);

// load main class
require_once BIN_CONTACT_DIR.'/bin-contact.main.php';

// module
require_once BIN_CONTACT_DIR.'/module/dashboard.php';
require_once BIN_CONTACT_DIR.'/module/customposttype.php';
require_once BIN_CONTACT_DIR.'/module/taxonomy.php';
require_once BIN_CONTACT_DIR.'/module/shortcode.php';

// On plugin activation
register_activation_hook(__FILE__, 'bin_contact_activation');
function bin_contact_activation()
{
	BinContact::activate();
}

// On plugin deactivation
register_deactivation_hook(__FILE__, 'bin_contact_deactivation');
function bin_contact_deactivation()
{
	BinContact::deactivate();
}

// On plugin remove
register_uninstall_hook(__FILE__, 'bin_contact_uninstall');
function bin_contact_uninstall()
{
	BinContact::uninstall();
}

// Run
add_action('plugins_loaded', 'initBinContact');
function initBinContact()
{	
	new BinContact;
	new BinContact_Customposttype;
	new BinContact_Taxonomy;
	new BinContact_Dashboard;
	new BinContact_Shortcode;
}