<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
class BinContact_Dashboard
{
	function __construct()
	{
		if(current_user_can('editor') || current_user_can('administrator'))
		{
			add_action('wp_dashboard_setup', [$this, 'add_dashboard_widgets']);
			add_action('wp_ajax_bin_contact_widget', [$this, 'wp_ajax_bin_contact_widget']);			
		}
	}
	
	function add_dashboard_widgets()
	{
		wp_add_dashboard_widget('bin_contact_widget', __('Recent Contacts', 'bin-contact'), [$this, 'dashboard_widget']);
	}
	
	function dashboard_widget($post, $callback_args)
	{
		echo '<div class="bin_contact_widget_box">';
			echo '<div class="inner">';
				echo '<div id="bin_contact_widget_result">';
					echo self::prepare_contacts();
				echo '</div>';
			echo '</div>';
		echo '</div>';
	}
	
	function wp_ajax_bin_contact_widget()
	{
		echo self::prepare_contacts();
		wp_die();
	}
	
	static function prepare_contacts()
	{
		$btpgid = get_queried_object_id();
		$paged = (isset($_POST['paged'])) ? abs((int)$_POST['paged']) : 1;

		$pagedPrev = $paged-1;
		$pagedNext = $paged+1;
		
		$postslist = new WP_Query([
			'posts_per_page' => 10,
			'paged' => $paged,
			'post_type' => 'contact',
			'orderby' => 'date',
			'order' => 'DESC',
		]);
		
		if($postslist->have_posts())
		{
			while($postslist->have_posts())
			{
				$postslist->the_post();

				$meta = get_post_meta(get_the_ID());
				echo '<p>';
					echo '<a href="post.php?post='.get_the_ID().'&action=edit">';
						if(!empty($meta['bin_contact_first_name'][0]) || !empty($meta['bin_contact_last_name'][0])) { echo $meta['bin_contact_first_name'][0].' '.$meta['bin_contact_last_name'][0].'<br>'; }
						if(!empty($meta['bin_contact_email'][0])) { echo $meta['bin_contact_email'][0].'<br>'; }
						if(!empty($meta['bin_contact_mobile'][0])) { echo $meta['bin_contact_mobile'][0].'<br>'; }
					echo '</a>';
				echo '</p>';
				echo '<hr>';
			}

			if($paged > 1) { echo '<a href="#" data-target="#bin_contact_widget_result" data-attributes=\'{ "action": "bin_contact_widget", "paged": "'.$pagedPrev.'" }\' class="bin_contact_ajax button">'.__('Back', 'bin-contact').'</a>'; }
			if($paged < $postslist->max_num_pages) { echo '<a href="#" data-target="#bin_contact_widget_result" data-attributes=\'{ "action": "bin_contact_widget", "paged": "'.$pagedNext.'" }\' class="bin_contact_ajax button">'.__('Next', 'bin-contact').'</a>'; }
		}
		else
		{
			echo '<p class="title">'.__('No contacts', 'bin-contact').'</p>';
			echo '<p>'.__('Add forms to your website to gain contacts.', 'bin-contact').'</p>';
		}

		wp_reset_postdata();
	}
}


