<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

class BinContact_Shortcode
{
	public function __construct()
	{
		add_shortcode('contact_list', [$this, 'bin_contact_list_shortcode']);
		//add_shortcode('bin_contact_tiles', [$this, 'bin_contact_tiles_shortcode']);
		//add_shortcode('bin_contact_target_bar', [$this, 'bin_contact_target_bar_shortcode']);
		//add_shortcode('bin_contact_map', [$this, 'bin_contact_map_shortcode']);
	}
	
	function bin_contact_list_shortcode($atts)
	{
		wp_enqueue_style('bin-contact-front');
		
		$atts = shortcode_atts([
			'pagination_mid_size' => 3,
			'pagination_prev_text' => __('Back', 'bin-contact'),
			'pagination_next_text' => __('Next', 'bin-contact'),
			'pagination_screen_reader_text' => __('Posts navigation', 'bin-contact'),
			'link_target' => '_blank',
			'button_link_target' => '_blank',
			'list_items' => 'image,company,full_name,email_link,website_and_socialmedia_buttons'
			//'list_items' => 'image,company,salutation,name_suffix,first_name,last_name,full_name,designation,polite_form,language_of_correspondence,email,email_link,email_button,email_status,mobile,mobile_status,mobile_status,phone_private,phone_work,additional_designation,street_and_number,zip,city,zip_and_city,country,marker_type,marker_custom,marker_custom2x,lat,lng,website,website_link,website_button,facebook,facebook_link,facebook_button,twitter,twitter_link,twitter_button,instagram,instagram_link,instagram_button,flickr,flickr_link,flickr_button,youtube,youtube_link,youtube_button,linkedin,linkedin_link,linkedin_button,xing,xing_link,xing_button,socialmedia_other1,socialmedia_other1_link,socialmedia_other1_button,socialmedia_other2,socialmedia_other2_link,socialmedia_other2_button,socialmedia_other3,socialmedia_other3_link,socialmedia_other3_button,website_and_socialmedia_buttons',
		], $atts);
		
		// query posts
		$contacts = BinContact::get_contacts($atts);
		
		// output
		$html = '';
		if($contacts->have_posts())
		{
			// parse list items
			$listItems = BinContact::parse_list($atts['list_items']);
			
			// output
			$html .= '<div class="bin_contact_table_wrapper">';
				$html .= '<div class="bin_contact_table">';
					$html .= '<div class="bin_contact_table_head">';
						$html .= '<div class="bin_contact_table_row">';
							foreach($listItems as $listItem)
							{
								$html .= '<div class="bin_contact_table_cell bin_contact_'.$listItem[0].'"><span class="bin_contact_'.$listItem[0].'_icon"></span><span class="bin_contact_'.$listItem[0].'_text">'.(isset($listItem[1]) ? $listItem[1] : BinContact::formTextLabels()[$listItem[0]]).'</span></div>';
							}
						$html .= '</div>';
					$html .= '</div>';
					$html .= '<div class="bin_contact_table_body">';
						while($contacts->have_posts())
						{
							$contacts->the_post(); 
							$postmeta = get_post_meta(get_the_ID());

							$html .= '<div class="bin_contact_table_row">';
								foreach($listItems as $listItem)
								{
									$html .= '<div class="bin_contact_table_cell bin_contact_'.$listItem[0].'" data-label="'.(isset($listItem[1]) ? $listItem[1] : BinContact::formTextLabels()[$listItem[0]]).'">';
										$html .= '<span class="bin_contact_'.$listItem[0].'_content">';
											switch($listItem[0])
											{
												case 'image': {
													$html .= (!empty($postmeta['bin_contact_image'][0]) ? '<span style="background-image:url(\''.$postmeta['bin_contact_image'][0].'\'")><img src="'.$postmeta['bin_contact_image'][0].'"></span>' : '<span style="background-image:url(\''.BIN_CONTACT_URL.'/images/no-contact.jpg\'")><img src="'.BIN_CONTACT_URL.'/images/no-contact.jpg" alt="'.__('No image', 'bin-contact').'"></span>');
												} break;
												case 'salutation': {
													$html .= (!empty($postmeta['bin_contact_salutation'][0]) ? BinContact::formSalutation()[$postmeta['bin_contact_salutation'][0]] : '');
												} break;
												case 'country': {
													$html .= (!empty($postmeta['bin_contact_salutation'][0]) ? BinContact::formCountyValue()[BinContact::formCounty()[$postmeta['bin_contact_country'][0]]] : '');
												} break;
												case 'zip_and_city': {
													$html .= '<span class="bin_contact_zip">'.(!empty($postmeta['bin_contact_zip'][0]) ? $postmeta['bin_contact_zip'][0] : '').'</span> <span class="bin_contact_city">'.(!empty($postmeta['bin_contact_city'][0]) ? $postmeta['bin_contact_city'][0] : '').'</span>';
												} break;
												case 'website_link': {
													$html .= (!empty($postmeta['bin_contact_website'][0]) ? '<a class="bin_contact_link bin_contact_website_link" href="'.$postmeta['bin_contact_website'][0].'" target="'.$atts['link_target'].'"><span class="bin_contact_link_icon"><svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="globe" class="svg-inline--fa fa-globe fa-w-16" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 496 512"><path fill="currentColor" d="M336.5 160C322 70.7 287.8 8 248 8s-74 62.7-88.5 152h177zM152 256c0 22.2 1.2 43.5 3.3 64h185.3c2.1-20.5 3.3-41.8 3.3-64s-1.2-43.5-3.3-64H155.3c-2.1 20.5-3.3 41.8-3.3 64zm324.7-96c-28.6-67.9-86.5-120.4-158-141.6 24.4 33.8 41.2 84.7 50 141.6h108zM177.2 18.4C105.8 39.6 47.8 92.1 19.3 160h108c8.7-56.9 25.5-107.8 49.9-141.6zM487.4 192H372.7c2.1 21 3.3 42.5 3.3 64s-1.2 43-3.3 64h114.6c5.5-20.5 8.6-41.8 8.6-64s-3.1-43.5-8.5-64zM120 256c0-21.5 1.2-43 3.3-64H8.6C3.2 212.5 0 233.8 0 256s3.2 43.5 8.6 64h114.6c-2-21-3.2-42.5-3.2-64zm39.5 96c14.5 89.3 48.7 152 88.5 152s74-62.7 88.5-152h-177zm159.3 141.6c71.4-21.2 129.4-73.7 158-141.6h-108c-8.8 56.9-25.6 107.8-50 141.6zM19.3 352c28.6 67.9 86.5 120.4 158 141.6-24.4-33.8-41.2-84.7-50-141.6h-108z"></path></svg></span><span class="bin_contact_link_text">'.$postmeta['bin_contact_website'][0].'</span></a>' : '');
												} break;
												case 'website_button': {
													$html .= (!empty($postmeta['bin_contact_website'][0]) ? '<a class="bin_contact_button bin_contact_website_button" href="'.$postmeta['bin_contact_website'][0].'" target="'.$atts['button_link_target'].'"><span class="bin_contact_button_icon"><svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="globe" class="svg-inline--fa fa-globe fa-w-16" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 496 512"><path fill="currentColor" d="M336.5 160C322 70.7 287.8 8 248 8s-74 62.7-88.5 152h177zM152 256c0 22.2 1.2 43.5 3.3 64h185.3c2.1-20.5 3.3-41.8 3.3-64s-1.2-43.5-3.3-64H155.3c-2.1 20.5-3.3 41.8-3.3 64zm324.7-96c-28.6-67.9-86.5-120.4-158-141.6 24.4 33.8 41.2 84.7 50 141.6h108zM177.2 18.4C105.8 39.6 47.8 92.1 19.3 160h108c8.7-56.9 25.5-107.8 49.9-141.6zM487.4 192H372.7c2.1 21 3.3 42.5 3.3 64s-1.2 43-3.3 64h114.6c5.5-20.5 8.6-41.8 8.6-64s-3.1-43.5-8.5-64zM120 256c0-21.5 1.2-43 3.3-64H8.6C3.2 212.5 0 233.8 0 256s3.2 43.5 8.6 64h114.6c-2-21-3.2-42.5-3.2-64zm39.5 96c14.5 89.3 48.7 152 88.5 152s74-62.7 88.5-152h-177zm159.3 141.6c71.4-21.2 129.4-73.7 158-141.6h-108c-8.8 56.9-25.6 107.8-50 141.6zM19.3 352c28.6 67.9 86.5 120.4 158 141.6-24.4-33.8-41.2-84.7-50-141.6h-108z"></path></svg></span><span class="bin_contact_button_text">'.__('Website', 'bin-contact').'</span></a>' : '');
												} break;
												case 'facebook_link': {
													$html .= (!empty($postmeta['bin_contact_facebook'][0]) ? '<a class="bin_contact_link bin_contact_facebook_link" href="'.$postmeta['bin_contact_facebook'][0].'" target="'.$atts['link_target'].'"><span class="bin_contact_link_icon"><svg aria-hidden="true" focusable="false" data-prefix="fab" data-icon="facebook-f" class="svg-inline--fa fa-facebook-f fa-w-10" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 320 512"><path fill="currentColor" d="M279.14 288l14.22-92.66h-88.91v-60.13c0-25.35 12.42-50.06 52.24-50.06h40.42V6.26S260.43 0 225.36 0c-73.22 0-121.08 44.38-121.08 124.72v70.62H22.89V288h81.39v224h100.17V288z"></path></svg></span><span class="bin_contact_link_text">'.$postmeta['bin_contact_facebook'][0].'</span></a>' : '');
												} break;
												case 'facebook_button': {
													$html .= (!empty($postmeta['bin_contact_facebook'][0]) ? '<a class="bin_contact_button bin_contact_facebook_button" href="'.$postmeta['bin_contact_facebook'][0].'" target="'.$atts['button_link_target'].'"><span class="bin_contact_button_icon"><svg aria-hidden="true" focusable="false" data-prefix="fab" data-icon="facebook-f" class="svg-inline--fa fa-facebook-f fa-w-10" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 320 512"><path fill="currentColor" d="M279.14 288l14.22-92.66h-88.91v-60.13c0-25.35 12.42-50.06 52.24-50.06h40.42V6.26S260.43 0 225.36 0c-73.22 0-121.08 44.38-121.08 124.72v70.62H22.89V288h81.39v224h100.17V288z"></path></svg></span><span class="bin_contact_button_text">'.__('Facebook', 'bin-contact').'</span></a>' : '');
												} break;
												case 'twitter_link': {
													$html .= (!empty($postmeta['bin_contact_twitter'][0]) ? '<a class="bin_contact_link bin_contact_twitter_link" href="'.$postmeta['bin_contact_twitter'][0].'" target="'.$atts['link_target'].'"><span class="bin_contact_link_icon"><svg aria-hidden="true" focusable="false" data-prefix="fab" data-icon="twitter" class="svg-inline--fa fa-twitter fa-w-16" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path fill="currentColor" d="M459.37 151.716c.325 4.548.325 9.097.325 13.645 0 138.72-105.583 298.558-298.558 298.558-59.452 0-114.68-17.219-161.137-47.106 8.447.974 16.568 1.299 25.34 1.299 49.055 0 94.213-16.568 130.274-44.832-46.132-.975-84.792-31.188-98.112-72.772 6.498.974 12.995 1.624 19.818 1.624 9.421 0 18.843-1.3 27.614-3.573-48.081-9.747-84.143-51.98-84.143-102.985v-1.299c13.969 7.797 30.214 12.67 47.431 13.319-28.264-18.843-46.781-51.005-46.781-87.391 0-19.492 5.197-37.36 14.294-52.954 51.655 63.675 129.3 105.258 216.365 109.807-1.624-7.797-2.599-15.918-2.599-24.04 0-57.828 46.782-104.934 104.934-104.934 30.213 0 57.502 12.67 76.67 33.137 23.715-4.548 46.456-13.32 66.599-25.34-7.798 24.366-24.366 44.833-46.132 57.827 21.117-2.273 41.584-8.122 60.426-16.243-14.292 20.791-32.161 39.308-52.628 54.253z"></path></svg></span><span class="bin_contact_link_text">'.$postmeta['bin_contact_twitter'][0].'</span></a>' : '');
												} break;
												case 'twitter_button': {
													$html .= (!empty($postmeta['bin_contact_twitter'][0]) ? '<a class="bin_contact_button bin_contact_twitter_button" href="'.$postmeta['bin_contact_twitter'][0].'" target="'.$atts['button_link_target'].'"><span class="bin_contact_button_icon"><svg aria-hidden="true" focusable="false" data-prefix="fab" data-icon="twitter" class="svg-inline--fa fa-twitter fa-w-16" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path fill="currentColor" d="M459.37 151.716c.325 4.548.325 9.097.325 13.645 0 138.72-105.583 298.558-298.558 298.558-59.452 0-114.68-17.219-161.137-47.106 8.447.974 16.568 1.299 25.34 1.299 49.055 0 94.213-16.568 130.274-44.832-46.132-.975-84.792-31.188-98.112-72.772 6.498.974 12.995 1.624 19.818 1.624 9.421 0 18.843-1.3 27.614-3.573-48.081-9.747-84.143-51.98-84.143-102.985v-1.299c13.969 7.797 30.214 12.67 47.431 13.319-28.264-18.843-46.781-51.005-46.781-87.391 0-19.492 5.197-37.36 14.294-52.954 51.655 63.675 129.3 105.258 216.365 109.807-1.624-7.797-2.599-15.918-2.599-24.04 0-57.828 46.782-104.934 104.934-104.934 30.213 0 57.502 12.67 76.67 33.137 23.715-4.548 46.456-13.32 66.599-25.34-7.798 24.366-24.366 44.833-46.132 57.827 21.117-2.273 41.584-8.122 60.426-16.243-14.292 20.791-32.161 39.308-52.628 54.253z"></path></svg></span><span class="bin_contact_button_text">'.__('Twitter', 'bin-contact').'</span></a>' : '');
												} break;
												case 'instagram_link': {
													$html .= (!empty($postmeta['bin_contact_instagram'][0]) ? '<a class="bin_contact_link bin_contact_instagram_link" href="'.$postmeta['bin_contact_instagram'][0].'" target="'.$atts['link_target'].'"><span class="bin_contact_link_icon"><svg aria-hidden="true" focusable="false" data-prefix="fab" data-icon="instagram" class="svg-inline--fa fa-instagram fa-w-14" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path fill="currentColor" d="M224.1 141c-63.6 0-114.9 51.3-114.9 114.9s51.3 114.9 114.9 114.9S339 319.5 339 255.9 287.7 141 224.1 141zm0 189.6c-41.1 0-74.7-33.5-74.7-74.7s33.5-74.7 74.7-74.7 74.7 33.5 74.7 74.7-33.6 74.7-74.7 74.7zm146.4-194.3c0 14.9-12 26.8-26.8 26.8-14.9 0-26.8-12-26.8-26.8s12-26.8 26.8-26.8 26.8 12 26.8 26.8zm76.1 27.2c-1.7-35.9-9.9-67.7-36.2-93.9-26.2-26.2-58-34.4-93.9-36.2-37-2.1-147.9-2.1-184.9 0-35.8 1.7-67.6 9.9-93.9 36.1s-34.4 58-36.2 93.9c-2.1 37-2.1 147.9 0 184.9 1.7 35.9 9.9 67.7 36.2 93.9s58 34.4 93.9 36.2c37 2.1 147.9 2.1 184.9 0 35.9-1.7 67.7-9.9 93.9-36.2 26.2-26.2 34.4-58 36.2-93.9 2.1-37 2.1-147.8 0-184.8zM398.8 388c-7.8 19.6-22.9 34.7-42.6 42.6-29.5 11.7-99.5 9-132.1 9s-102.7 2.6-132.1-9c-19.6-7.8-34.7-22.9-42.6-42.6-11.7-29.5-9-99.5-9-132.1s-2.6-102.7 9-132.1c7.8-19.6 22.9-34.7 42.6-42.6 29.5-11.7 99.5-9 132.1-9s102.7-2.6 132.1 9c19.6 7.8 34.7 22.9 42.6 42.6 11.7 29.5 9 99.5 9 132.1s2.7 102.7-9 132.1z"></path></svg></span><span class="bin_contact_link_text">'.$postmeta['bin_contact_instagram'][0].'</span></a>' : '');
												} break;
												case 'instagram_button': {
													$html .= (!empty($postmeta['bin_contact_instagram'][0]) ? '<a class="bin_contact_button bin_contact_instagram_button" href="'.$postmeta['bin_contact_instagram'][0].'" target="'.$atts['button_link_target'].'"><span class="bin_contact_button_icon"><svg aria-hidden="true" focusable="false" data-prefix="fab" data-icon="instagram" class="svg-inline--fa fa-instagram fa-w-14" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path fill="currentColor" d="M224.1 141c-63.6 0-114.9 51.3-114.9 114.9s51.3 114.9 114.9 114.9S339 319.5 339 255.9 287.7 141 224.1 141zm0 189.6c-41.1 0-74.7-33.5-74.7-74.7s33.5-74.7 74.7-74.7 74.7 33.5 74.7 74.7-33.6 74.7-74.7 74.7zm146.4-194.3c0 14.9-12 26.8-26.8 26.8-14.9 0-26.8-12-26.8-26.8s12-26.8 26.8-26.8 26.8 12 26.8 26.8zm76.1 27.2c-1.7-35.9-9.9-67.7-36.2-93.9-26.2-26.2-58-34.4-93.9-36.2-37-2.1-147.9-2.1-184.9 0-35.8 1.7-67.6 9.9-93.9 36.1s-34.4 58-36.2 93.9c-2.1 37-2.1 147.9 0 184.9 1.7 35.9 9.9 67.7 36.2 93.9s58 34.4 93.9 36.2c37 2.1 147.9 2.1 184.9 0 35.9-1.7 67.7-9.9 93.9-36.2 26.2-26.2 34.4-58 36.2-93.9 2.1-37 2.1-147.8 0-184.8zM398.8 388c-7.8 19.6-22.9 34.7-42.6 42.6-29.5 11.7-99.5 9-132.1 9s-102.7 2.6-132.1-9c-19.6-7.8-34.7-22.9-42.6-42.6-11.7-29.5-9-99.5-9-132.1s-2.6-102.7 9-132.1c7.8-19.6 22.9-34.7 42.6-42.6 29.5-11.7 99.5-9 132.1-9s102.7-2.6 132.1 9c19.6 7.8 34.7 22.9 42.6 42.6 11.7 29.5 9 99.5 9 132.1s2.7 102.7-9 132.1z"></path></svg></span><span class="bin_contact_button_text">'.__('Instagram', 'bin-contact').'</span></a>' : '');
												} break;
												case 'flickr_link': {
													$html .= (!empty($postmeta['bin_contact_flickr'][0]) ? '<a class="bin_contact_link bin_contact_flickr_link" href="'.$postmeta['bin_contact_flickr'][0].'" target="'.$atts['link_target'].'"><span class="bin_contact_link_icon"><svg aria-hidden="true" focusable="false" data-prefix="fab" data-icon="flickr" class="svg-inline--fa fa-flickr fa-w-14" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path fill="currentColor" d="M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM144.5 319c-35.1 0-63.5-28.4-63.5-63.5s28.4-63.5 63.5-63.5 63.5 28.4 63.5 63.5-28.4 63.5-63.5 63.5zm159 0c-35.1 0-63.5-28.4-63.5-63.5s28.4-63.5 63.5-63.5 63.5 28.4 63.5 63.5-28.4 63.5-63.5 63.5z"></path></svg></span><span class="bin_contact_link_text">'.$postmeta['bin_contact_flickr'][0].'</span></a>' : '');
												} break;
												case 'flickr_button': {
													$html .= (!empty($postmeta['bin_contact_flickr'][0]) ? '<a class="bin_contact_button bin_contact_flickr_button" href="'.$postmeta['bin_contact_flickr'][0].'" target="'.$atts['button_link_target'].'"><span class="bin_contact_button_icon"><svg aria-hidden="true" focusable="false" data-prefix="fab" data-icon="flickr" class="svg-inline--fa fa-flickr fa-w-14" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path fill="currentColor" d="M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM144.5 319c-35.1 0-63.5-28.4-63.5-63.5s28.4-63.5 63.5-63.5 63.5 28.4 63.5 63.5-28.4 63.5-63.5 63.5zm159 0c-35.1 0-63.5-28.4-63.5-63.5s28.4-63.5 63.5-63.5 63.5 28.4 63.5 63.5-28.4 63.5-63.5 63.5z"></path></svg></span><span class="bin_contact_button_text">'.__('Flickr', 'bin-contact').'</span></a>' : '');
												} break;
												case 'linkedin_link': {
													$html .= (!empty($postmeta['bin_contact_linkedin'][0]) ? '<a class="bin_contact_link bin_contact_linkedin_link" href="'.$postmeta['bin_contact_linkedin'][0].'" target="'.$atts['link_target'].'"><span class="bin_contact_link_icon"><svg aria-hidden="true" focusable="false" data-prefix="fab" data-icon="linkedin-in" class="svg-inline--fa fa-linkedin-in fa-w-14" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path fill="currentColor" d="M100.28 448H7.4V148.9h92.88zM53.79 108.1C24.09 108.1 0 83.5 0 53.8a53.79 53.79 0 0 1 107.58 0c0 29.7-24.1 54.3-53.79 54.3zM447.9 448h-92.68V302.4c0-34.7-.7-79.2-48.29-79.2-48.29 0-55.69 37.7-55.69 76.7V448h-92.78V148.9h89.08v40.8h1.3c12.4-23.5 42.69-48.3 87.88-48.3 94 0 111.28 61.9 111.28 142.3V448z"></path></svg></span><span class="bin_contact_link_text">'.$postmeta['bin_contact_linkedin'][0].'</span></a>' : '');
												} break;
												case 'linkedin_button': {
													$html .= (!empty($postmeta['bin_contact_linkedin'][0]) ? '<a class="bin_contact_button bin_contact_linkedin_button" href="'.$postmeta['bin_contact_linkedin'][0].'" target="'.$atts['button_link_target'].'"><span class="bin_contact_button_icon"><svg aria-hidden="true" focusable="false" data-prefix="fab" data-icon="linkedin-in" class="svg-inline--fa fa-linkedin-in fa-w-14" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path fill="currentColor" d="M100.28 448H7.4V148.9h92.88zM53.79 108.1C24.09 108.1 0 83.5 0 53.8a53.79 53.79 0 0 1 107.58 0c0 29.7-24.1 54.3-53.79 54.3zM447.9 448h-92.68V302.4c0-34.7-.7-79.2-48.29-79.2-48.29 0-55.69 37.7-55.69 76.7V448h-92.78V148.9h89.08v40.8h1.3c12.4-23.5 42.69-48.3 87.88-48.3 94 0 111.28 61.9 111.28 142.3V448z"></path></svg></span><span class="bin_contact_button_text">'.__('LinkedIn', 'bin-contact').'</span></a>' : '');
												} break;
												case 'xing_link': {
													$html .= (!empty($postmeta['bin_contact_xing'][0]) ? '<a class="bin_contact_link bin_contact_xing_link" href="'.$postmeta['bin_contact_xing'][0].'" target="'.$atts['link_target'].'"><span class="bin_contact_link_icon"><svg aria-hidden="true" focusable="false" data-prefix="fab" data-icon="xing" class="svg-inline--fa fa-xing fa-w-12" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 384 512"><path fill="currentColor" d="M162.7 210c-1.8 3.3-25.2 44.4-70.1 123.5-4.9 8.3-10.8 12.5-17.7 12.5H9.8c-7.7 0-12.1-7.5-8.5-14.4l69-121.3c.2 0 .2-.1 0-.3l-43.9-75.6c-4.3-7.8.3-14.1 8.5-14.1H100c7.3 0 13.3 4.1 18 12.2l44.7 77.5zM382.6 46.1l-144 253v.3L330.2 466c3.9 7.1.2 14.1-8.5 14.1h-65.2c-7.6 0-13.6-4-18-12.2l-92.4-168.5c3.3-5.8 51.5-90.8 144.8-255.2 4.6-8.1 10.4-12.2 17.5-12.2h65.7c8 0 12.3 6.7 8.5 14.1z"></path></svg></span><span class="bin_contact_link_text">'.$postmeta['bin_contact_xing'][0].'</span></a>' : '');
												} break;
												case 'xing_button': {
													$html .= (!empty($postmeta['bin_contact_xing'][0]) ? '<a class="bin_contact_button bin_contact_xing_button" href="'.$postmeta['bin_contact_xing'][0].'" target="'.$atts['button_link_target'].'"><span class="bin_contact_button_icon"><svg aria-hidden="true" focusable="false" data-prefix="fab" data-icon="xing" class="svg-inline--fa fa-xing fa-w-12" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 384 512"><path fill="currentColor" d="M162.7 210c-1.8 3.3-25.2 44.4-70.1 123.5-4.9 8.3-10.8 12.5-17.7 12.5H9.8c-7.7 0-12.1-7.5-8.5-14.4l69-121.3c.2 0 .2-.1 0-.3l-43.9-75.6c-4.3-7.8.3-14.1 8.5-14.1H100c7.3 0 13.3 4.1 18 12.2l44.7 77.5zM382.6 46.1l-144 253v.3L330.2 466c3.9 7.1.2 14.1-8.5 14.1h-65.2c-7.6 0-13.6-4-18-12.2l-92.4-168.5c3.3-5.8 51.5-90.8 144.8-255.2 4.6-8.1 10.4-12.2 17.5-12.2h65.7c8 0 12.3 6.7 8.5 14.1z"></path></svg></span><span class="bin_contact_button_text">'.__('Xing', 'bin-contact').'</span></a>' : '');
												} break;
												case 'youtube_link': {
													$html .= (!empty($postmeta['bin_contact_youtube'][0]) ? '<a class="bin_contact_link bin_contact_youtube_link" href="'.$postmeta['bin_contact_youtube'][0].'" target="'.$atts['link_target'].'"><span class="bin_contact_link_icon"><svg aria-hidden="true" focusable="false" data-prefix="fab" data-icon="youtube" class="svg-inline--fa fa-youtube fa-w-18" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 576 512"><path fill="currentColor" d="M549.655 124.083c-6.281-23.65-24.787-42.276-48.284-48.597C458.781 64 288 64 288 64S117.22 64 74.629 75.486c-23.497 6.322-42.003 24.947-48.284 48.597-11.412 42.867-11.412 132.305-11.412 132.305s0 89.438 11.412 132.305c6.281 23.65 24.787 41.5 48.284 47.821C117.22 448 288 448 288 448s170.78 0 213.371-11.486c23.497-6.321 42.003-24.171 48.284-47.821 11.412-42.867 11.412-132.305 11.412-132.305s0-89.438-11.412-132.305zm-317.51 213.508V175.185l142.739 81.205-142.739 81.201z"></path></svg></span><span class="bin_contact_link_text">'.$postmeta['bin_contact_youtube'][0].'</span></a>' : '');
												} break;
												case 'youtube_button': {
													$html .= (!empty($postmeta['bin_contact_youtube'][0]) ? '<a class="bin_contact_button bin_contact_youtube_button" href="'.$postmeta['bin_contact_youtube'][0].'" target="'.$atts['button_link_target'].'"><span class="bin_contact_button_icon"><svg aria-hidden="true" focusable="false" data-prefix="fab" data-icon="youtube" class="svg-inline--fa fa-youtube fa-w-18" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 576 512"><path fill="currentColor" d="M549.655 124.083c-6.281-23.65-24.787-42.276-48.284-48.597C458.781 64 288 64 288 64S117.22 64 74.629 75.486c-23.497 6.322-42.003 24.947-48.284 48.597-11.412 42.867-11.412 132.305-11.412 132.305s0 89.438 11.412 132.305c6.281 23.65 24.787 41.5 48.284 47.821C117.22 448 288 448 288 448s170.78 0 213.371-11.486c23.497-6.321 42.003-24.171 48.284-47.821 11.412-42.867 11.412-132.305 11.412-132.305s0-89.438-11.412-132.305zm-317.51 213.508V175.185l142.739 81.205-142.739 81.201z"></path></svg></span><span class="bin_contact_button_text">'.__('Youtube', 'bin-contact').'</span></a>' : '');
												} break;
												case 'socialmedia_other1_link': {
													$html .= (!empty($postmeta['bin_contact_socialmedia_other1'][0]) ? '<a class="bin_contact_link bin_contact_socialmedia_other1_link" href="'.$postmeta['bin_contact_socialmedia_other1'][0].'" target="'.$atts['link_target'].'"><span class="bin_contact_link_icon"><svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="share-alt" class="svg-inline--fa fa-share-alt fa-w-14" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path fill="currentColor" d="M352 320c-22.608 0-43.387 7.819-59.79 20.895l-102.486-64.054a96.551 96.551 0 0 0 0-41.683l102.486-64.054C308.613 184.181 329.392 192 352 192c53.019 0 96-42.981 96-96S405.019 0 352 0s-96 42.981-96 96c0 7.158.79 14.13 2.276 20.841L155.79 180.895C139.387 167.819 118.608 160 96 160c-53.019 0-96 42.981-96 96s42.981 96 96 96c22.608 0 43.387-7.819 59.79-20.895l102.486 64.054A96.301 96.301 0 0 0 256 416c0 53.019 42.981 96 96 96s96-42.981 96-96-42.981-96-96-96z"></path></svg></span><span class="bin_contact_link_text">'.$postmeta['bin_contact_socialmedia_other1'][0].'</span></a>' : '');
												} break;
												case 'socialmedia_other1_button': {
													$html .= (!empty($postmeta['bin_contact_socialmedia_other1'][0]) ? '<a class="bin_contact_button bin_contact_socialmedia_other1_button" href="'.$postmeta['bin_contact_socialmedia_other1'][0].'" target="'.$atts['button_link_target'].'"><span class="bin_contact_button_icon"><svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="share-alt" class="svg-inline--fa fa-share-alt fa-w-14" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path fill="currentColor" d="M352 320c-22.608 0-43.387 7.819-59.79 20.895l-102.486-64.054a96.551 96.551 0 0 0 0-41.683l102.486-64.054C308.613 184.181 329.392 192 352 192c53.019 0 96-42.981 96-96S405.019 0 352 0s-96 42.981-96 96c0 7.158.79 14.13 2.276 20.841L155.79 180.895C139.387 167.819 118.608 160 96 160c-53.019 0-96 42.981-96 96s42.981 96 96 96c22.608 0 43.387-7.819 59.79-20.895l102.486 64.054A96.301 96.301 0 0 0 256 416c0 53.019 42.981 96 96 96s96-42.981 96-96-42.981-96-96-96z"></path></svg></span><span class="bin_contact_button_text">'.__('Other 1', 'bin-contact').'</span></a>' : '');
												} break;
												case 'socialmedia_other2_link': {
													$html .= (!empty($postmeta['bin_contact_socialmedia_other2'][0]) ? '<a class="bin_contact_link bin_contact_socialmedia_other2_link" href="'.$postmeta['bin_contact_socialmedia_other2'][0].'" target="'.$atts['link_target'].'"><span class="bin_contact_link_icon"><svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="share-alt" class="svg-inline--fa fa-share-alt fa-w-14" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path fill="currentColor" d="M352 320c-22.608 0-43.387 7.819-59.79 20.895l-102.486-64.054a96.551 96.551 0 0 0 0-41.683l102.486-64.054C308.613 184.181 329.392 192 352 192c53.019 0 96-42.981 96-96S405.019 0 352 0s-96 42.981-96 96c0 7.158.79 14.13 2.276 20.841L155.79 180.895C139.387 167.819 118.608 160 96 160c-53.019 0-96 42.981-96 96s42.981 96 96 96c22.608 0 43.387-7.819 59.79-20.895l102.486 64.054A96.301 96.301 0 0 0 256 416c0 53.019 42.981 96 96 96s96-42.981 96-96-42.981-96-96-96z"></path></svg></span><span class="bin_contact_link_text">'.$postmeta['bin_contact_socialmedia_other2'][0].'</span></a>' : '');
												} break;
												case 'socialmedia_other2_button': {
													$html .= (!empty($postmeta['bin_contact_socialmedia_other2'][0]) ? '<a class="bin_contact_button bin_contact_socialmedia_other2_button" href="'.$postmeta['bin_contact_socialmedia_other2'][0].'" target="'.$atts['button_link_target'].'"><span class="bin_contact_button_icon"><svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="share-alt" class="svg-inline--fa fa-share-alt fa-w-14" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path fill="currentColor" d="M352 320c-22.608 0-43.387 7.819-59.79 20.895l-102.486-64.054a96.551 96.551 0 0 0 0-41.683l102.486-64.054C308.613 184.181 329.392 192 352 192c53.019 0 96-42.981 96-96S405.019 0 352 0s-96 42.981-96 96c0 7.158.79 14.13 2.276 20.841L155.79 180.895C139.387 167.819 118.608 160 96 160c-53.019 0-96 42.981-96 96s42.981 96 96 96c22.608 0 43.387-7.819 59.79-20.895l102.486 64.054A96.301 96.301 0 0 0 256 416c0 53.019 42.981 96 96 96s96-42.981 96-96-42.981-96-96-96z"></path></svg></span><span class="bin_contact_button_text">'.__('Other 2', 'bin-contact').'</span></a>' : '');
												} break;
												case 'socialmedia_other3_link': {
													$html .= (!empty($postmeta['bin_contact_socialmedia_other3'][0]) ? '<a class="bin_contact_link bin_contact_socialmedia_other3_link" href="'.$postmeta['bin_contact_socialmedia_other3'][0].'" target="'.$atts['link_target'].'"><span class="bin_contact_link_icon"><svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="share-alt" class="svg-inline--fa fa-share-alt fa-w-14" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path fill="currentColor" d="M352 320c-22.608 0-43.387 7.819-59.79 20.895l-102.486-64.054a96.551 96.551 0 0 0 0-41.683l102.486-64.054C308.613 184.181 329.392 192 352 192c53.019 0 96-42.981 96-96S405.019 0 352 0s-96 42.981-96 96c0 7.158.79 14.13 2.276 20.841L155.79 180.895C139.387 167.819 118.608 160 96 160c-53.019 0-96 42.981-96 96s42.981 96 96 96c22.608 0 43.387-7.819 59.79-20.895l102.486 64.054A96.301 96.301 0 0 0 256 416c0 53.019 42.981 96 96 96s96-42.981 96-96-42.981-96-96-96z"></path></svg></span><span class="bin_contact_link_text">'.$postmeta['bin_contact_socialmedia_other3'][0].'</span></a>' : '');
												} break;
												case 'socialmedia_other3_button': {
													$html .= (!empty($postmeta['bin_contact_socialmedia_other3'][0]) ? '<a class="bin_contact_button bin_contact_socialmedia_other3_button" href="'.$postmeta['bin_contact_socialmedia_other3'][0].'" target="'.$atts['button_link_target'].'"><span class="bin_contact_button_icon"><svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="share-alt" class="svg-inline--fa fa-share-alt fa-w-14" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path fill="currentColor" d="M352 320c-22.608 0-43.387 7.819-59.79 20.895l-102.486-64.054a96.551 96.551 0 0 0 0-41.683l102.486-64.054C308.613 184.181 329.392 192 352 192c53.019 0 96-42.981 96-96S405.019 0 352 0s-96 42.981-96 96c0 7.158.79 14.13 2.276 20.841L155.79 180.895C139.387 167.819 118.608 160 96 160c-53.019 0-96 42.981-96 96s42.981 96 96 96c22.608 0 43.387-7.819 59.79-20.895l102.486 64.054A96.301 96.301 0 0 0 256 416c0 53.019 42.981 96 96 96s96-42.981 96-96-42.981-96-96-96z"></path></svg></span><span class="bin_contact_button_text">'.__('Other 3', 'bin-contact').'</span></a>' : '');
												} break;
												case 'email_link': {
													$html .= (!empty($postmeta['bin_contact_email'][0]) ? '<a class="bin_contact_link bin_contact_email_link" href="'.(class_exists('BinEmailSpamProtection') ? BinEmailSpamProtection::cryptMail($postmeta['bin_contact_email'][0]) : 'mailto:'.$postmeta['bin_contact_email'][0]).'"><span class="bin_contact_link_icon"><svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="envelope" class="svg-inline--fa fa-envelope fa-w-16" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path fill="currentColor" d="M502.3 190.8c3.9-3.1 9.7-.2 9.7 4.7V400c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V195.6c0-5 5.7-7.8 9.7-4.7 22.4 17.4 52.1 39.5 154.1 113.6 21.1 15.4 56.7 47.8 92.2 47.6 35.7.3 72-32.8 92.3-47.6 102-74.1 131.6-96.3 154-113.7zM256 320c23.2.4 56.6-29.2 73.4-41.4 132.7-96.3 142.8-104.7 173.4-128.7 5.8-4.5 9.2-11.5 9.2-18.9v-19c0-26.5-21.5-48-48-48H48C21.5 64 0 85.5 0 112v19c0 7.4 3.4 14.3 9.2 18.9 30.6 23.9 40.7 32.4 173.4 128.7 16.8 12.2 50.2 41.8 73.4 41.4z"></path></svg></span><span class="bin_contact_link_text">'.(class_exists('BinEmailSpamProtection') ? BinEmailSpamProtection::linktext($postmeta['bin_contact_email'][0]) : $postmeta['bin_contact_email'][0]).'</span></a>' : '');
												} break;
												case 'email_button': {
													$html .= (!empty($postmeta['bin_contact_email'][0]) ? '<a class="bin_contact_button bin_contact_email_button" href="'.(class_exists('BinEmailSpamProtection') ? BinEmailSpamProtection::cryptMail($postmeta['bin_contact_email'][0]) : 'mailto:'.$postmeta['bin_contact_email'][0]).'"><span class="bin_contact_button_icon"><svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="envelope" class="svg-inline--fa fa-envelope fa-w-16" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path fill="currentColor" d="M502.3 190.8c3.9-3.1 9.7-.2 9.7 4.7V400c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V195.6c0-5 5.7-7.8 9.7-4.7 22.4 17.4 52.1 39.5 154.1 113.6 21.1 15.4 56.7 47.8 92.2 47.6 35.7.3 72-32.8 92.3-47.6 102-74.1 131.6-96.3 154-113.7zM256 320c23.2.4 56.6-29.2 73.4-41.4 132.7-96.3 142.8-104.7 173.4-128.7 5.8-4.5 9.2-11.5 9.2-18.9v-19c0-26.5-21.5-48-48-48H48C21.5 64 0 85.5 0 112v19c0 7.4 3.4 14.3 9.2 18.9 30.6 23.9 40.7 32.4 173.4 128.7 16.8 12.2 50.2 41.8 73.4 41.4z"></path></svg></span><span class="bin_contact_button_text">'.__('Email', 'bin-contact').'</span></a>' : '');
												} break;
												case 'website_and_socialmedia_buttons': {
													$html .= (!empty($postmeta['bin_contact_website'][0]) ? '<a class="bin_contact_button bin_contact_website_button" href="'.$postmeta['bin_contact_website'][0].'" target="'.$atts['button_link_target'].'"><span class="bin_contact_button_icon"><svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="globe" class="svg-inline--fa fa-globe fa-w-16" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 496 512"><path fill="currentColor" d="M336.5 160C322 70.7 287.8 8 248 8s-74 62.7-88.5 152h177zM152 256c0 22.2 1.2 43.5 3.3 64h185.3c2.1-20.5 3.3-41.8 3.3-64s-1.2-43.5-3.3-64H155.3c-2.1 20.5-3.3 41.8-3.3 64zm324.7-96c-28.6-67.9-86.5-120.4-158-141.6 24.4 33.8 41.2 84.7 50 141.6h108zM177.2 18.4C105.8 39.6 47.8 92.1 19.3 160h108c8.7-56.9 25.5-107.8 49.9-141.6zM487.4 192H372.7c2.1 21 3.3 42.5 3.3 64s-1.2 43-3.3 64h114.6c5.5-20.5 8.6-41.8 8.6-64s-3.1-43.5-8.5-64zM120 256c0-21.5 1.2-43 3.3-64H8.6C3.2 212.5 0 233.8 0 256s3.2 43.5 8.6 64h114.6c-2-21-3.2-42.5-3.2-64zm39.5 96c14.5 89.3 48.7 152 88.5 152s74-62.7 88.5-152h-177zm159.3 141.6c71.4-21.2 129.4-73.7 158-141.6h-108c-8.8 56.9-25.6 107.8-50 141.6zM19.3 352c28.6 67.9 86.5 120.4 158 141.6-24.4-33.8-41.2-84.7-50-141.6h-108z"></path></svg></span><span class="bin_contact_button_text">'.__('Website', 'bin-contact').'</span></a>' : '');
													$html .= (!empty($postmeta['bin_contact_facebook'][0]) ? '<a class="bin_contact_button bin_contact_facebook_button" href="'.$postmeta['bin_contact_facebook'][0].'" target="'.$atts['button_link_target'].'"><span class="bin_contact_button_icon"><svg aria-hidden="true" focusable="false" data-prefix="fab" data-icon="facebook-f" class="svg-inline--fa fa-facebook-f fa-w-10" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 320 512"><path fill="currentColor" d="M279.14 288l14.22-92.66h-88.91v-60.13c0-25.35 12.42-50.06 52.24-50.06h40.42V6.26S260.43 0 225.36 0c-73.22 0-121.08 44.38-121.08 124.72v70.62H22.89V288h81.39v224h100.17V288z"></path></svg></span><span class="bin_contact_button_text">'.__('Facebook', 'bin-contact').'</span></a>' : '');
													$html .= (!empty($postmeta['bin_contact_twitter'][0]) ? '<a class="bin_contact_button bin_contact_twitter_button" href="'.$postmeta['bin_contact_twitter'][0].'" target="'.$atts['button_link_target'].'"><span class="bin_contact_button_icon"><svg aria-hidden="true" focusable="false" data-prefix="fab" data-icon="twitter" class="svg-inline--fa fa-twitter fa-w-16" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path fill="currentColor" d="M459.37 151.716c.325 4.548.325 9.097.325 13.645 0 138.72-105.583 298.558-298.558 298.558-59.452 0-114.68-17.219-161.137-47.106 8.447.974 16.568 1.299 25.34 1.299 49.055 0 94.213-16.568 130.274-44.832-46.132-.975-84.792-31.188-98.112-72.772 6.498.974 12.995 1.624 19.818 1.624 9.421 0 18.843-1.3 27.614-3.573-48.081-9.747-84.143-51.98-84.143-102.985v-1.299c13.969 7.797 30.214 12.67 47.431 13.319-28.264-18.843-46.781-51.005-46.781-87.391 0-19.492 5.197-37.36 14.294-52.954 51.655 63.675 129.3 105.258 216.365 109.807-1.624-7.797-2.599-15.918-2.599-24.04 0-57.828 46.782-104.934 104.934-104.934 30.213 0 57.502 12.67 76.67 33.137 23.715-4.548 46.456-13.32 66.599-25.34-7.798 24.366-24.366 44.833-46.132 57.827 21.117-2.273 41.584-8.122 60.426-16.243-14.292 20.791-32.161 39.308-52.628 54.253z"></path></svg></span><span class="bin_contact_button_text">'.__('Twitter', 'bin-contact').'</span></a>' : '');
													$html .= (!empty($postmeta['bin_contact_instagram'][0]) ? '<a class="bin_contact_button bin_contact_instagram_button" href="'.$postmeta['bin_contact_instagram'][0].'" target="'.$atts['button_link_target'].'"><span class="bin_contact_button_icon"><svg aria-hidden="true" focusable="false" data-prefix="fab" data-icon="instagram" class="svg-inline--fa fa-instagram fa-w-14" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path fill="currentColor" d="M224.1 141c-63.6 0-114.9 51.3-114.9 114.9s51.3 114.9 114.9 114.9S339 319.5 339 255.9 287.7 141 224.1 141zm0 189.6c-41.1 0-74.7-33.5-74.7-74.7s33.5-74.7 74.7-74.7 74.7 33.5 74.7 74.7-33.6 74.7-74.7 74.7zm146.4-194.3c0 14.9-12 26.8-26.8 26.8-14.9 0-26.8-12-26.8-26.8s12-26.8 26.8-26.8 26.8 12 26.8 26.8zm76.1 27.2c-1.7-35.9-9.9-67.7-36.2-93.9-26.2-26.2-58-34.4-93.9-36.2-37-2.1-147.9-2.1-184.9 0-35.8 1.7-67.6 9.9-93.9 36.1s-34.4 58-36.2 93.9c-2.1 37-2.1 147.9 0 184.9 1.7 35.9 9.9 67.7 36.2 93.9s58 34.4 93.9 36.2c37 2.1 147.9 2.1 184.9 0 35.9-1.7 67.7-9.9 93.9-36.2 26.2-26.2 34.4-58 36.2-93.9 2.1-37 2.1-147.8 0-184.8zM398.8 388c-7.8 19.6-22.9 34.7-42.6 42.6-29.5 11.7-99.5 9-132.1 9s-102.7 2.6-132.1-9c-19.6-7.8-34.7-22.9-42.6-42.6-11.7-29.5-9-99.5-9-132.1s-2.6-102.7 9-132.1c7.8-19.6 22.9-34.7 42.6-42.6 29.5-11.7 99.5-9 132.1-9s102.7-2.6 132.1 9c19.6 7.8 34.7 22.9 42.6 42.6 11.7 29.5 9 99.5 9 132.1s2.7 102.7-9 132.1z"></path></svg></span><span class="bin_contact_button_text">'.__('Instagram', 'bin-contact').'</span></a>' : '');
													$html .= (!empty($postmeta['bin_contact_flickr'][0]) ? '<a class="bin_contact_button bin_contact_flickr_button" href="'.$postmeta['bin_contact_flickr'][0].'" target="'.$atts['button_link_target'].'"><span class="bin_contact_button_icon"><svg aria-hidden="true" focusable="false" data-prefix="fab" data-icon="flickr" class="svg-inline--fa fa-flickr fa-w-14" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path fill="currentColor" d="M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM144.5 319c-35.1 0-63.5-28.4-63.5-63.5s28.4-63.5 63.5-63.5 63.5 28.4 63.5 63.5-28.4 63.5-63.5 63.5zm159 0c-35.1 0-63.5-28.4-63.5-63.5s28.4-63.5 63.5-63.5 63.5 28.4 63.5 63.5-28.4 63.5-63.5 63.5z"></path></svg></span><span class="bin_contact_button_text">'.__('Flickr', 'bin-contact').'</span></a>' : '');
													$html .= (!empty($postmeta['bin_contact_linkedin'][0]) ? '<a class="bin_contact_button bin_contact_linkedin_button" href="'.$postmeta['bin_contact_linkedin'][0].'" target="'.$atts['button_link_target'].'"><span class="bin_contact_button_icon"><svg aria-hidden="true" focusable="false" data-prefix="fab" data-icon="linkedin-in" class="svg-inline--fa fa-linkedin-in fa-w-14" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path fill="currentColor" d="M100.28 448H7.4V148.9h92.88zM53.79 108.1C24.09 108.1 0 83.5 0 53.8a53.79 53.79 0 0 1 107.58 0c0 29.7-24.1 54.3-53.79 54.3zM447.9 448h-92.68V302.4c0-34.7-.7-79.2-48.29-79.2-48.29 0-55.69 37.7-55.69 76.7V448h-92.78V148.9h89.08v40.8h1.3c12.4-23.5 42.69-48.3 87.88-48.3 94 0 111.28 61.9 111.28 142.3V448z"></path></svg></span><span class="bin_contact_button_text">'.__('LinkedIn', 'bin-contact').'</span></a>' : '');
													$html .= (!empty($postmeta['bin_contact_xing'][0]) ? '<a class="bin_contact_button bin_contact_xing_button" href="'.$postmeta['bin_contact_xing'][0].'" target="'.$atts['button_link_target'].'"><span class="bin_contact_button_icon"><svg aria-hidden="true" focusable="false" data-prefix="fab" data-icon="xing" class="svg-inline--fa fa-xing fa-w-12" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 384 512"><path fill="currentColor" d="M162.7 210c-1.8 3.3-25.2 44.4-70.1 123.5-4.9 8.3-10.8 12.5-17.7 12.5H9.8c-7.7 0-12.1-7.5-8.5-14.4l69-121.3c.2 0 .2-.1 0-.3l-43.9-75.6c-4.3-7.8.3-14.1 8.5-14.1H100c7.3 0 13.3 4.1 18 12.2l44.7 77.5zM382.6 46.1l-144 253v.3L330.2 466c3.9 7.1.2 14.1-8.5 14.1h-65.2c-7.6 0-13.6-4-18-12.2l-92.4-168.5c3.3-5.8 51.5-90.8 144.8-255.2 4.6-8.1 10.4-12.2 17.5-12.2h65.7c8 0 12.3 6.7 8.5 14.1z"></path></svg></span><span class="bin_contact_button_text">'.__('Xing', 'bin-contact').'</span></a>' : '');
													$html .= (!empty($postmeta['bin_contact_youtube'][0]) ? '<a class="bin_contact_button bin_contact_youtube_button" href="'.$postmeta['bin_contact_youtube'][0].'" target="'.$atts['button_link_target'].'"><span class="bin_contact_button_icon"><svg aria-hidden="true" focusable="false" data-prefix="fab" data-icon="youtube" class="svg-inline--fa fa-youtube fa-w-18" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 576 512"><path fill="currentColor" d="M549.655 124.083c-6.281-23.65-24.787-42.276-48.284-48.597C458.781 64 288 64 288 64S117.22 64 74.629 75.486c-23.497 6.322-42.003 24.947-48.284 48.597-11.412 42.867-11.412 132.305-11.412 132.305s0 89.438 11.412 132.305c6.281 23.65 24.787 41.5 48.284 47.821C117.22 448 288 448 288 448s170.78 0 213.371-11.486c23.497-6.321 42.003-24.171 48.284-47.821 11.412-42.867 11.412-132.305 11.412-132.305s0-89.438-11.412-132.305zm-317.51 213.508V175.185l142.739 81.205-142.739 81.201z"></path></svg></span><span class="bin_contact_button_text">'.__('Youtube', 'bin-contact').'</span></a>' : '');
													$html .= (!empty($postmeta['bin_contact_socialmedia_other1'][0]) ? '<a class="bin_contact_button bin_contact_socialmedia_other1_button" href="'.$postmeta['bin_contact_socialmedia_other1'][0].'" target="'.$atts['button_link_target'].'"><span class="bin_contact_button_icon"><svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="share-alt" class="svg-inline--fa fa-share-alt fa-w-14" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path fill="currentColor" d="M352 320c-22.608 0-43.387 7.819-59.79 20.895l-102.486-64.054a96.551 96.551 0 0 0 0-41.683l102.486-64.054C308.613 184.181 329.392 192 352 192c53.019 0 96-42.981 96-96S405.019 0 352 0s-96 42.981-96 96c0 7.158.79 14.13 2.276 20.841L155.79 180.895C139.387 167.819 118.608 160 96 160c-53.019 0-96 42.981-96 96s42.981 96 96 96c22.608 0 43.387-7.819 59.79-20.895l102.486 64.054A96.301 96.301 0 0 0 256 416c0 53.019 42.981 96 96 96s96-42.981 96-96-42.981-96-96-96z"></path></svg></span><span class="bin_contact_button_text">'.__('Other 1', 'bin-contact').'</span></a>' : '');
													$html .= (!empty($postmeta['bin_contact_socialmedia_other2'][0]) ? '<a class="bin_contact_button bin_contact_socialmedia_other2_button" href="'.$postmeta['bin_contact_socialmedia_other2'][0].'" target="'.$atts['button_link_target'].'"><span class="bin_contact_button_icon"><svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="share-alt" class="svg-inline--fa fa-share-alt fa-w-14" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path fill="currentColor" d="M352 320c-22.608 0-43.387 7.819-59.79 20.895l-102.486-64.054a96.551 96.551 0 0 0 0-41.683l102.486-64.054C308.613 184.181 329.392 192 352 192c53.019 0 96-42.981 96-96S405.019 0 352 0s-96 42.981-96 96c0 7.158.79 14.13 2.276 20.841L155.79 180.895C139.387 167.819 118.608 160 96 160c-53.019 0-96 42.981-96 96s42.981 96 96 96c22.608 0 43.387-7.819 59.79-20.895l102.486 64.054A96.301 96.301 0 0 0 256 416c0 53.019 42.981 96 96 96s96-42.981 96-96-42.981-96-96-96z"></path></svg></span><span class="bin_contact_button_text">'.__('Other 2', 'bin-contact').'</span></a>' : '');
													$html .= (!empty($postmeta['bin_contact_socialmedia_other3'][0]) ? '<a class="bin_contact_button bin_contact_socialmedia_other3_button" href="'.$postmeta['bin_contact_socialmedia_other3'][0].'" target="'.$atts['button_link_target'].'"><span class="bin_contact_button_icon"><svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="share-alt" class="svg-inline--fa fa-share-alt fa-w-14" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path fill="currentColor" d="M352 320c-22.608 0-43.387 7.819-59.79 20.895l-102.486-64.054a96.551 96.551 0 0 0 0-41.683l102.486-64.054C308.613 184.181 329.392 192 352 192c53.019 0 96-42.981 96-96S405.019 0 352 0s-96 42.981-96 96c0 7.158.79 14.13 2.276 20.841L155.79 180.895C139.387 167.819 118.608 160 96 160c-53.019 0-96 42.981-96 96s42.981 96 96 96c22.608 0 43.387-7.819 59.79-20.895l102.486 64.054A96.301 96.301 0 0 0 256 416c0 53.019 42.981 96 96 96s96-42.981 96-96-42.981-96-96-96z"></path></svg></span><span class="bin_contact_button_text">'.__('Other 3', 'bin-contact').'</span></a>' : '');
												} break;
												case 'full_name': {
													$html .= '<span class="bin_contact_first_name">'.(!empty($postmeta['bin_contact_first_name'][0]) ? $postmeta['bin_contact_first_name'][0] : '').'</span> <span class="bin_contact_last_name">'.(!empty($postmeta['bin_contact_last_name'][0]) ? $postmeta['bin_contact_last_name'][0] : '').'</span>';
												} break;
												default: {
													$html .= (!empty($postmeta['bin_contact_'.$listItem[0]][0]) ? $postmeta['bin_contact_'.$listItem[0]][0] : '');
												}
											}
										$html .= '</span>';
									$html .= '</div>';
								}
							$html .= '</div>';
						}
					$html .= '</div>';
				$html .= '</div>';
			$html .= '</div>';

			if($contacts->max_num_pages > 1)
			{
				$html .= '<div class="bin_contact_pagination">';
					$html .= paginate_links([
						'type' => 'list',
						'base' => add_query_arg('contact-page', '%#%'),
						'format' => '',
						'mid_size' => $atts['pagination_mid_size'],
						'prev_text' => $atts['pagination_prev_text'],
						'next_text' => $atts['pagination_next_text'],
						'screen_reader_text' => $atts['pagination_screen_reader_text'],
						'total' => $contacts->max_num_pages,
						'current' => isset($_GET['contact-page']) ? abs((int)$_GET['contact-page']) : 1
					]);
				$html .= '</div>';
			}
		}
		
        wp_reset_postdata();
		
		if(empty($html)) { return __('No contacts found...', 'bin-contact'); }
		return $html;
	}
	
	/*function bin_contact_tiles_shortcode($atts)
	{
		// query post
		$page = isset($_GET['bin_contact_bct-page']) ? abs((int)$_GET['bin_contact_bct-page']) : 1;

		$metaQuery = [];
		if($atts['filter'] === 'committee')
		{
			$metaQuery = [
				[
					'key' => 'bin_contact_committee',
					'value' => 'registered',
					'compare' => '='
				]
			];
		}
		else if($atts['filter'] === 'petition')
		{
			$metaQuery = [
				[
					'key' => 'bin_contact_petition',
					'value' => 'registered',
					'compare' => '='
				]
			];
		}
		
		$postslist = new WP_Query([
			'posts_per_page' => $atts['postsperpage'],
			'tax_query' => $atts['selectedcategory'] ? [['taxonomy' => 'contact_group', 'terms' => $atts['selectedcategory'], 'field' => 'term_id']] : '',
			'paged' => $page,
			'post_type' => 'contact',
			'order' => 'ASC',
			'orderby' => ($atts['order'] !== 'date' ? 'meta_value' : 'date'),
			'meta_key' => ($atts['order'] !== 'date' ? $atts['order'] : ''),
			'meta_query' => $metaQuery
		]);

		// style
		$cwpContentWrapStyle = '';
		if(isset($atts['color'])) { $cwpContentWrapStyle .= 'background:'.$atts['color'].';'; }
		if(isset($atts['boxradiusfix']) && $atts['boxradiusfix'] === '1' && isset($atts['boxradius']) && $atts['boxradius'] >= 0 ) { $cwpContentWrapStyle .= 'border-radius:'.$atts['boxradius'].'px;'; }
		else if(isset($atts['boxradius']) && $atts['boxradius'] > 0 ) { $cwpContentWrapStyle .= 'border-radius:'.$atts['boxradius'].'px;'; }
		if(isset($atts['boxradiusfix']) && $atts['boxradiusfix'] === '1' && isset($atts['boxpadding']) && $atts['boxpadding'] >= 0 ) { $cwpContentWrapStyle .= 'padding:'.$atts['boxpadding'].'px;'; }
		else if(isset($atts['boxpadding']) && $atts['boxpadding'] > 0 ) { $cwpContentWrapStyle .= 'padding:'.$atts['boxpadding'].'px;'; }
		
		$columns = '1';
		if(!empty($atts['columns'])) { $columns = $atts['columns']; }
		
		// output
		$html = '';
		if($postslist->have_posts())
		{
			$html .= '<div class="bin_contact_main-wrapper bin_contact_'.$columns.'-column">';
				while($postslist->have_posts())
				{
					$postslist->the_post(); 
					$postmeta = get_post_meta(get_the_ID());
				
					$html .= '<div class="bin_contact_inner-wrap">';
						$html .= '<div class="bin_contact_content-wrap '.(!empty($atts['color']) ? 'bin_contact_content-wrap-has-background' : '').'" style="'.$cwpContentWrapStyle.'">';
							$html .= '<div class="bin_contact_content-wrap-inner">';
								$html .= '<div class="bin_contact_tile">';
	
									if($atts['showimage'] === '1')
									{
										$html .= '<div class="bin_contact_tile-left">';
											$html .= '<div class="bin_contact_tile-item"><span class="bin_contact_image"'.(!empty($atts['textcolor']) ? ' style="color:'.$atts['textcolor'].'"' : '').'>'.(!empty($postmeta['bin_contact_image'][0]) ? '<span style="background-image:url(\''.$postmeta['bin_contact_image'][0].'\'")><img src="'.$postmeta['bin_contact_image'][0].'"></span>' : '<span style="background-image:url(\''.BIN_CONTACT_URL.'/images/no-contact.jpg\'")><img src="'.BIN_CONTACT_URL.'/images/no-contact.jpg"></span>').'</span></div>';
										$html .= '</div>';
									}
									$html .= '<div class="bin_contact_tile-right">';
										if($atts['showsalutation'] === '1') { $html .= '<div class="bin_contact_tile-item"><span class="bin_contact_salutation"'.(!empty($atts['textcolor']) ? ' style="color:'.$atts['textcolor'].'"' : '').'>'.((is_numeric($postmeta['bin_contact_salutation'][0]) && class_exists('BinContact_Contact')) ? BinContact_Contact::torroSalutation()[$postmeta['bin_contact_salutation'][0]] : '').'</span></div>'; }
										if($atts['showsuffix'] === '1') { $html .= '<div class="bin_contact_tile-item"><span class="bin_contact_name-suffix"'.(!empty($atts['textcolor']) ? ' style="color:'.$atts['textcolor'].'"' : '').'>'.(!empty($postmeta['bin_contact_name_suffix'][0]) ? $postmeta['bin_contact_name_suffix'][0] : '').'</span></div>'; }
										if($atts['showname'] === '1') { $html .= '<div class="bin_contact_tile-item"><span class="bin_contact_first-name"'.(!empty($atts['textcolor']) ? ' style="color:'.$atts['textcolor'].'"' : '').'>'.(!empty($postmeta['bin_contact_first_name'][0]) ? $postmeta['bin_contact_first_name'][0] : '').'</span> <span class="bin_contact_last-name"'.(!empty($atts['textcolor']) ? ' style="color:'.$atts['textcolor'].'"' : '').'>'.(!empty($postmeta['bin_contact_last_name'][0]) ? $postmeta['bin_contact_last_name'][0] : '').'</span></div>'; }
										if($atts['showfunction'] === '1') { $html .= '<div class="bin_contact_tile-item"><span class="bin_contact_function"'.(!empty($atts['textcolor']) ? ' style="color:'.$atts['textcolor'].'"' : '').'>'.(!empty($postmeta['bin_contact_designation'][0]) ? $postmeta['bin_contact_designation'][0] : '').'</span></div>'; }
										if($atts['showstreetandnumber'] === '1') { $html .= '<div class="bin_contact_tile-item"><span class="bin_contact_streetandnumber"'.(!empty($atts['textcolor']) ? ' style="color:'.$atts['textcolor'].'"' : '').'>'.(!empty($postmeta['bin_contact_street_and_number'][0]) ? $postmeta['bin_contact_street_and_number'][0] : '').'</span></div>'; }
										if($atts['showzipandplace'] === '1') { $html .= '<div class="bin_contact_tile-item"><span class="bin_contact_zip"'.(!empty($atts['textcolor']) ? ' style="color:'.$atts['textcolor'].'"' : '').'>'.(!empty($postmeta['bin_contact_zip'][0]) ? $postmeta['bin_contact_zip'][0] : '').'</span> <span class="bin_contact_city"'.(!empty($atts['textcolor']) ? ' style="color:'.$atts['textcolor'].'"' : '').'>'.(!empty($postmeta['bin_contact_city'][0]) ? $postmeta['bin_contact_city'][0] : '').'</span></div>'; }
										if($atts['showcountry'] === '1') { $html .= '<div class="bin_contact_tile-item"><span class="bin_contact_country"'.(!empty($atts['textcolor']) ? ' style="color:'.$atts['textcolor'].'"' : '').'>'.((is_numeric($postmeta['bin_contact_country'][0]) && class_exists('BinContact_Contact')) ? BinContact_Contact::torroCountyValue()[BinContact_Contact::torroCounty()[$postmeta['bin_contact_country'][0]]] : '').'</span></div>'; }
										if($atts['showemail'] === '1') { $html .= '<div class="bin_contact_tile-item"><span class="bin_contact_email"'.(!empty($atts['textcolor']) ? ' style="color:'.$atts['textcolor'].'"' : '').'>'.(!empty($postmeta['bin_contact_email'][0]) ? (class_exists('BinEmailSpamProtection') ? BinEmailSpamProtection::cryptMailLink($postmeta['bin_contact_email'][0]) : $postmeta['bin_contact_email'][0]) : '').'</span></div>'; }
										if($atts['showmobile'] === '1') { $html .= '<div class="bin_contact_tile-item"><span class="bin_contact_mobile"'.(!empty($atts['textcolor']) ? ' style="color:'.$atts['textcolor'].'"' : '').'>'.(!empty($postmeta['bin_contact_mobile'][0]) ? $postmeta['bin_contact_mobile'][0] : '').'</span></div>'; }
										if($atts['showphoneprivate'] === '1') { $html .= '<div class="bin_contact_tile-item"><span class="bin_contact_phone-private"'.(!empty($atts['textcolor']) ? ' style="color:'.$atts['textcolor'].'"' : '').'>'.(!empty($postmeta['bin_contact_phone_private'][0]) ? $postmeta['bin_contact_phone_private'][0] : '').'</span></div>'; }
										if($atts['showphonework'] === '1') { $html .= '<div class="bin_contact_tile-item"><span class="bin_contact_phone-work"'.(!empty($atts['textcolor']) ? ' style="color:'.$atts['textcolor'].'"' : '').'>'.(!empty($postmeta['bin_contact_phone_work'][0]) ? $postmeta['bin_contact_phone_work'][0] : '').'</span></div>'; }
										if($atts['showwebsiteandsocialmedia'] === '1')
										{
											$html .= '<div class="bin_contact_tile-item bin_contact_tile-item-social">';
												$html .= '<div class="bin_contact_buttons-wrap">';
													if(!empty($postmeta['bin_contact_website'][0])) { $html .= '<div class="bin_contact_button-wrap"><a class="'.$atts['showwebsiteandsocialmediastyle'].'" href="'.$postmeta['bin_contact_website'][0].'"><i class="fa fa-globe"></i><span>'.__('Website', 'bin-contact').'</span></a></div>'; }
													if(!empty($postmeta['bin_contact_facebook'][0])) { $html .= '<div class="bin_contact_button-wrap"><a class="'.$atts['showwebsiteandsocialmediastyle'].'" href="'.$postmeta['bin_contact_facebook'][0].'"><i class="fa fa-facebook"></i><span>'.__('Facebook', 'bin-contact').'</span></a></div>'; }
													if(!empty($postmeta['bin_contact_twitter'][0])) { $html .= '<div class="bin_contact_button-wrap"><a class="'.$atts['showwebsiteandsocialmediastyle'].'" href="'.$postmeta['bin_contact_twitter'][0].'"><i class="fa fa-twitter"></i><span>'.__('Twitter', 'bin-contact').'</span></a></div>'; }
													if(!empty($postmeta['bin_contact_instagram'][0])) { $html .= '<div class="bin_contact_button-wrap"><a class="'.$atts['showwebsiteandsocialmediastyle'].'" href="'.$postmeta['bin_contact_instagram'][0].'"><i class="fa fa-instagram"></i><span>'.__('Instagram', 'bin-contact').'</span></a></div>'; }
													if(!empty($postmeta['bin_contact_flickr'][0])) { $html .= '<div class="bin_contact_button-wrap"><a class="'.$atts['showwebsiteandsocialmediastyle'].'" href="'.$postmeta['bin_contact_flickr'][0].'"><i class="fa fa-flickr"></i><span>'.__('Flickr', 'bin-contact').'</span></a></div>'; }
													if(!empty($postmeta['bin_contact_linkedin'][0])) { $html .= '<div class="bin_contact_button-wrap"><a class="'.$atts['showwebsiteandsocialmediastyle'].'" href="'.$postmeta['bin_contact_linkedin'][0].'"><i class="fa fa-linkedin"></i><span>'.__('LinkedIn', 'bin-contact').'</span></a></div>'; }
													if(!empty($postmeta['bin_contact_xing'][0])) { $html .= '<div class="bin_contact_button-wrap"><a class="'.$atts['showwebsiteandsocialmediastyle'].'" href="'.$postmeta['bin_contact_xing'][0].'"><i class="fa fa-xing"></i><span>'.__('Xing', 'bin-contact').'</span></a></div>'; }
													if(!empty($postmeta['bin_contact_youtube'][0])) { $html .= '<div class="bin_contact_button-wrap"><a class="'.$atts['showwebsiteandsocialmediastyle'].'" href="'.$postmeta['bin_contact_youtube'][0].'"><i class="fa fa-youtube"></i><span>'.__('Youtube', 'bin-contact').'</span></a></div>'; }
												$html .= '</div>';
											$html .= '</div>';
										}
									$html .= '</div>';

								$html .= '</div>';
							$html .= '</div>';
						$html .= '</div>';
					$html .= '</div>';
				}

				if($postslist->max_num_pages > 1 && $atts['showpagination'] === '1')
				{
					$html .= '<div class="'.$atts['paginationstyle'].'">';
						$html .= paginate_links([
							'type' => 'list',
							'base' => add_query_arg('bin_contact_bct-page', '%#%'),
							'format' => '',
							'mid_size' => 1,
							'prev_text' => __('Back', 'bin-contact'),
							'next_text' => __('Next', 'bin-contact'),
							'screen_reader_text' => __('Posts navigation'),
							'total' => $postslist->max_num_pages,
							'current' => $page
						]);
					$html .= '</div>';
				}
			
			$html .= '</div>';
		}
		
        wp_reset_postdata();
		
		if(empty($html)) { return __('No contacts found...', 'bin-contact'); }
		return $html;
	}*/
	
	/*function bin_contact_target_bar_shortcode($atts)
	{
		// query post
		$metaQuery = [];
		if($atts['filter'] === 'committee')
		{
			$metaQuery = [
				[
					'key' => 'bin_contact_committee',
					'value' => 'registered',
					'compare' => '='
				]
			];
		}
		else if($atts['filter'] === 'petition')
		{
			$metaQuery = [
				[
					'key' => 'bin_contact_petition',
					'value' => 'registered',
					'compare' => '='
				]
			];
		}
		
		$query = new WP_Query([
			'posts_per_page' => -1,
			'post_type' => 'contact',
			'meta_query' => $metaQuery
		]);
		
		// calculate
		$signatures = $query->found_posts;
		
		$goal = 0;
		if($atts['target'] === 'dynamic')
		{
			if($signatures < 25) { $goal = round(($signatures+5/2)/5)*5; }
			else if($signatures < 50) { $goal = round(($signatures+25/2)/25)*25; }
			else if($signatures < 500) { $goal = round(($signatures+50/2)/50)*50; }
			else if($signatures < 1000) { $goal = round(($signatures+100/2)/100)*100; }
			else if($signatures < 3000) { $goal = round(($signatures+250/2)/250)*250; }
			else if($signatures < 5000) { $goal = round(($signatures+500/2)/500)*500; }
			else if($signatures < 10000) { $goal = round(($signatures+1000/2)/1000)*1000; }
			else { $goal = round(($signatures+2500/2)/2500)*2500; }
		}
		else if($atts['target'] === 'static')
		{
			$goal = $atts['targetvalue'];
		}
		
		// style
		$cwpContentWrapStyle = '';
		if(isset($atts['color'])) { $cwpContentWrapStyle .= 'background:'.$atts['color'].';'; }
		if(isset($atts['boxradiusfix']) && $atts['boxradiusfix'] === '1' && isset($atts['boxradius']) && $atts['boxradius'] >= 0 ) { $cwpContentWrapStyle .= 'border-radius:'.$atts['boxradius'].'px;'; }
		else if(isset($atts['boxradius']) && $atts['boxradius'] > 0 ) { $cwpContentWrapStyle .= 'border-radius:'.$atts['boxradius'].'px;'; }
		if(isset($atts['boxradiusfix']) && $atts['boxradiusfix'] === '1' && isset($atts['boxpadding']) && $atts['boxpadding'] >= 0 ) { $cwpContentWrapStyle .= 'padding:'.$atts['boxpadding'].'px;'; }
		else if(isset($atts['boxpadding']) && $atts['boxpadding'] > 0 ) { $cwpContentWrapStyle .= 'padding:'.$atts['boxpadding'].'px;'; }
		
		$cwpTextColor = '';
		if(!empty($atts['textcolor'])) { $cwpTextColor .= 'color:'.$atts['textcolor'].';'; }
		
		$columns = '1';
		if(!empty($atts['columns'])) { $columns = $atts['columns']; }
		
		// output
		$html = '';
		
		$html .= '<div class="bin_contact_main-wrapper bin_contact_'.$columns.'-column">';
			$html .= '<div class="bin_contact_inner-wrap">';
				$html .= '<div class="bin_contact_content-wrap '.(!empty($atts['color']) ? 'bin_contact_content-wrap-has-background' : '').'" style="'.$cwpContentWrapStyle.'">';
					$html .= '<div class="bin_contact_content-wrap-inner">';
						$html .= '<div class="bin_contact_tile">';

							if(!empty($atts['title']))
							{
								$html .= '<div class="bin_contact_signatures-title">';
									$html .= '<h3 style="'.$cwpTextColor.'">'.html_entity_decode($atts['title']).'</h3>';
								$html .= '</div>';
							}

							if(!empty($atts['textbefore']))
							{
								$html .= '<div class="bin_contact_signatures-before">';
									$html .= '<p style="'.$cwpTextColor.'">'.html_entity_decode($atts['textbefore']).'</p>';
								$html .= '</div>';
							}

							if($goal === 0)
							{
								$html .= '<div class="bin_contact_signatures">';
									$html .= '<div class="bin_contact_signatures-inner">'.$signatures.'</div>';
								$html .= '</div>';
							}
							else
							{
								$html .= '<div class="'.$atts['progressstyle'].'">';
									$html .= '<div class="bin_contact_progress-inner">';
										$html .= '<div class="bin_contact_progress-inner-bar" role="progressbar" style="width:'.round((100/$goal)*$signatures, 0).'%;">';
											$html .= '<span>'.$signatures.'/'.$goal.'</span>';
										$html .= '</div>';
									$html .= '</div>';
								$html .= '</div>';
							}

							if(!empty($atts['textafter']))
							{
								$html .= '<div class="bin_contact_signatures-after">';
									$html .= '<p style="'.$cwpTextColor.'">'.html_entity_decode($atts['textafter']).'</p>';
								$html .= '</div>';
							}

						$html .= '</div>';
					$html .= '</div>';
				$html .= '</div>';
			$html .= '</div>';
		$html .= '</div>';
		
		return $html;
	}*/
	
	/*function bin_contact_map_shortcode($atts)
	{
		//$html .= '<pre>'.print_r($atts, true).'</pre>';
		
		$contacts = get_posts([
			'post_type' => 'contact',
			'posts_per_page' => -1
		]);
		
		$markers = [];
		if($contacts)
		{
			foreach($contacts as $contact)
			{
				$meta = get_post_meta($contact->ID);
				
				//echo '<pre>'.print_r($meta, true).'</pre>';
				if(is_numeric($meta['bin_contact_lat'][0]) && is_numeric($meta['bin_contact_lng'][0]))
				{
					$metaMailCrypt = '';
					if($meta['bin_contact_email'][0])
					{
						if(class_exists('BinEmailSpamProtection'))
						{
							$metaMailCrypt = BinEmailSpamProtection::cryptMailLink($meta['bin_contact_email'][0]);
						}
						else
						{
							$metaMailCrypt = '<a href="mailto:'.$meta['bin_contact_email'][0].'">'.$meta['bin_contact_email'][0].'</a>';
						}
					}
					
					$metaWebsite = '';
					if($meta['bin_contact_website'][0])
					{
						$metaWebsite = '<a href="'.$meta['bin_contact_website'][0].'" target="_blank">'.$meta['bin_contact_website'][0].'</a>';
					}
					
					$markers[] = [
						'marker_type' => $meta['bin_contact_marker_type'][0],
						'marker_custom' => $meta['bin_contact_marker_custom'][0],
						'marker_custom_width' => $meta['bin_contact_marker_type'][0] === 'custom' ? getimagesize($meta['bin_contact_marker_custom'][0])[0] : NULL,
						'marker_custom_height' => $meta['bin_contact_marker_type'][0] === 'custom' ? getimagesize($meta['bin_contact_marker_custom'][0])[1] : NULL,
						'marker_custom2x' => $meta['bin_contact_marker_custom2x'][0],
						'marker_custom2x_width' => $meta['bin_contact_marker_type'][0] === 'custom' ? getimagesize($meta['bin_contact_marker_custom2x'][0])[0] : NULL,
						'marker_custom2x_height' => $meta['bin_contact_marker_type'][0] === 'custom' ? getimagesize($meta['bin_contact_marker_custom2x'][0])[1] : NULL,
						'lat' => $meta['bin_contact_lat'][0],
						'lng' => $meta['bin_contact_lng'][0],
						'company' => $meta['bin_contact_company'][0],
						'first_name' => $meta['bin_contact_first_name'][0],
						'last_name' => $meta['bin_contact_last_name'][0],
						'street_and_number' => $meta['bin_contact_street_and_number'][0],
						'zip' => $meta['bin_contact_zip'][0],
						'place' => $meta['bin_contact_city'][0],
						//'country' => $meta['bin_contact_country'][0],
						'email' => $metaMailCrypt,
						//'mobile' => $meta['bin_contact_mobile'][0],
						//'phone_private' => $meta['bin_contact_phone_private'][0],
						'phone_work' => $meta['bin_contact_phone_work'][0],
						'website' => $metaWebsite,
						//'facebook' => $meta['bin_contact_facebook'][0],
						//'twitter' => $meta['bin_contact_twitter'][0],
						//'instagram' => $meta['bin_contact_instagram'][0],
						//'flickr' => $meta['bin_contact_flickr'][0],
						//'linkedin' => $meta['bin_contact_linkedin'][0],
						//'xing' => $meta['bin_contact_xing'][0],
						//'youtube' => $meta['bin_contact_youtube'][0],
					];
				}
			}
		}
		
		return '<div class="leaflet-map" data-leaflet-markers="'.htmlspecialchars(json_encode($markers), ENT_QUOTES, 'UTF-8').'">';
	}*/
}